Subject: Re: [apps-discuss] New appsawg documents

From: "t.petch" <[email-masked]>
Date: Thu, 1 Sep 2011 19:36:18 +0200

----- Original Message -----
From: "Barry Leiba" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; "Apps Discuss"
<[email-masked]>
Sent: Wednesday, August 31, 2011 7:27 PM
> > I want the process of producing an RFC to be challenging, to demonstrate
> > that there is support for this as an RFC and that there has been adequate
> > review. Asking for approval for seven I-Ds in three days does limit the
> > likely review, and indeed, I see that one I-D has already progressed
> > before even those three days are up, but I am not suggesting you extend it.
>
> Maybe you misunderstand the note that started this.  No one has asked
> for approval for *any* documents.  We've asked to hear objections to
> having the working group *process* the documents.  They still all have
> to get review and go through the same process they would have gone
> through as individual submissions -- but with *more* oversight and
> attention.  How do you think that will cheapen the process?

Yes I understand your note perfectly; giving the WG three days to
express an opinion on the adoption by the WG of 7 I-Ds
is not exactly a lot of oversight.  And as you say, making them
WG I-Ds reduces the work of the AD and chairs.  But you need
to know that there will be WG members willing to step up and
 review instead and that may or may not happen.  I have seen in other
WGs a determined author push an I-D through as a WG item
to RFC and have been left thinking that it never really got
reviewed.

So, as  I said, I will watch with interest how much review these
get.  (So far, I haven't exactly seen many people saying 'yes, good
idea - or even any idea)

Tom Petch

>
> We're also not handling seven at the same time.  My note said that
> we'd focus on three first, and each of those will progress at its own
> pace.  And be assured that any documents that have insufficient review
> and support will not make it to the ADs.
>
> That some have already "progressed" just means that we've given them
> working-group names.  If the working group decides not to handle any
> document, either by explicit decision or by neglect and lack of
> support, that document can still fail.  Further, most of these
> documents have already had significant review, comment, and
> discussion, some on this list and some elsewhere.
>
> I'd really prefer to see effort put into discussion of the documents,
> rather than into meta-discussion of the working group.  If, in the
> end, someone thinks that a document either got a "free pass" by being
> handled by the working group, or got mired in process that it would
> have avoided as an individual submission, we'd all like to hear about
> it then.  If it turns out that this working group isn't helping to do
> things right, we can and will shut it down.
>
> Barry

---

From: "Jiankang Yao" <[email-masked]>
Date: Fri, 2 Sep 2011 09:58:50 +0800

----- Original Message ----- 
From: "t.petch" <[email-masked]>
To: "Barry Leiba" <[email-masked]>; <[email-masked]>; <[email-masked]>
Cc: "Apps Discuss" <[email-masked]>
Sent: Thursday, September 01, 2011 12:08 AM
Subject: Re: [apps-discuss] New appsawg documents

> Cc: "Apps Discuss" <[email-masked]>
> Sent: Tuesday, August 30, 2011 8:17 PM
> 
>> >> At least two of these seem to be progressing nicely without any
>> >> adoption by appsawg, so adopting them seems to be a way of making
>> >> work.
>> 
>> I'll add that it's the goal of AppsAWG to help the process, not to
>> make extra work and hinder things.  Without it, the document editors
>> have to make sure the document gets sufficient review, convince an
>> Area Director to sponsor it, and deal with a four-week IETF last call.
>>  With it, the working group is here to review the document, and the
>> document shepherd (one of the chairs or someone we assign) will assess
>> the quality of review, we already have approval from the Area
>> Directors to go ahead, and there's a two-week last call when we send
>> it up.
>> 
>> If the WG is putting undue extra process in the way, we're doing
>> something wrong, and that's something we should discuss.  Let's start
>> by seeing how smoothly a few more documents go (the first two went
>> well, I think).
> 
> Barry, Peter, Murray,
> 
> Thank you for the explanation.  This is sort of my concern, that it makes
> appsawg sound a bit like a factory for churning out RFC as cheaply as possible,
> like some far eastern manufacturer of cotton clothing.
> review. 

You might mix up the definition of RFC and draft.
The draft does not mean that it will be a RFC in future.
Many WG drafts died due to lack of WG concensus or interests after being a WG I-D.
Even if these seven I-Ds become WG I-D after the WG agreements, it does not
mean that all of them will become RFCs. Some of them may die if lack of WG consensus or interests.
As pointed out by Alexey, "APPSAWG chairs are not going to initiate 7 WGLC at the very same moment.".
We will process these possible WG I-Ds one by one before sending to IESG.
On the other hand, if the WG agrees that all of these 7 drafts become the WG I-Ds, it will attract more people to focus on these topics and give them more extensive reviews.(I assume that WG participants are more likely to focus on the WG I-Ds). So from this point of view, we try to attract more WG participants to focus on these topics and give them more reviews.

Jiankang Yao